Thank you for your donation


Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Solved: Error on upgrade packages
4th Nov, 2014, 03:49 AM
Post: #1
Error on upgrade packages
Hi,

i have a CuBox i4Pro with XBian 1.0RC2

I use it as media player and local web server

i tried to upgrade same packages but now cant continue upgrade.

if i start aptitude or if write a command sudo apt-get -f install i have ever this message

Code:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
0 aggiornati, 0 installati, 0 da rimuovere e 340 non aggiornati.
1 non completamente installati o rimossi.
Dopo quest'operazione, verranno occupati 0 B di spazio su disco.
Create a snapshot of '/tmp/btrfs-snap/root/@' in '/tmp/btrfs-snap/root/@btrfs-auto-snap_apt-run-2014-11-03-1844'
Transaction commit: none (default)
Delete subvolume '/tmp/btrfs-snap/root/@last_good_known'
Create a snapshot of '/tmp/btrfs-snap/root/@btrfs-auto-snap_apt-run-2014-11-03-1844' in '/tmp/btrfs-snap/root/@last_good_known'
Transaction commit: none (default)
Delete subvolume '/tmp/btrfs-snap/root/@btrfs-auto-snap_apt-run-2014-11-03-1745'
@btrfs-auto-snap_apt-run-2014-11-03-1844, 1 created snapshots, 1 destroyed snapshots, 0 warnings.
Configurazione di samba (2:4.1.13+dfsg-2)...
update-rc.d: /etc/init.d/samba exists during rc.d purge (use -f to force)
dpkg: error processing package samba (--configure):
il sottoprocesso installato script di post-installation ha restituito lo stato di errore 1
Si sono verificati degli errori nell'elaborazione:
samba
E: Sub-process /usr/bin/dpkg returned an error code (1)

How can i resolv it?

Thanks in advance

----

Edit: after post i see on down page a similar post on this forum and resolv a problem Smile

http://forum.xbian.org/thread-1517.html
Find all posts by this user
Quote this message in a reply
3rd Dec, 2014, 04:00 AM
Post: #2
RE: Error on upgrade packages
Don't upgrade any of the CUBOX-I images for the foreseeable future.

Please read before you post
How to post a log file

If you liked my help, click on "Thanks" to show your appreciation.
Find all posts by this user
Quote this message in a reply
5th Dec, 2014, 03:52 PM (This post was last modified: 5th Dec, 2014 04:00 PM by mk01.)
Post: #3
RE: Error on upgrade packages
@aspidetr

feel free to remove that mentioned script

Code:
rm /etc/init.d/samba

or (maybe better) manually force install latest xbian-update and then run update again. we tried to automate some manual hacking needed in testing Debian Jessie system to progress with buggy updates - and xbian-update should automatically do them for you (there are waiting some other "issues" for you if you fix this one). currently (considering the last xbian-update version) the steps in console would be:

Code:
cd /tmp
sudo -i
wget http://ivka57.dyndns-ip.com/pool/stable/main/x/xbian-update/xbian-update_1.0.2-119_armhf.deb
dpkg -i --force-all xbian-update_1.0.2-119_armhf.deb

Please read rules and do a search before you post! . FAQs . How to post log file? . Looking for answers? Please start here
Find all posts by this user
Quote this message in a reply
30th Mar, 2016, 07:47 AM
Post: #4
Error on upgrade packages
(3rd Dec, 2014 04:00 AM)IriDium Wrote:  Don't upgrade any of the CUBOX-I images for the foreseeable future.


Thx for saving me a lot of time Smile

My Cubox i4P stopped getting updates to its supplied Openelec a long time ago. I found a few minutes spare this week to go looking for something else & stumbled upon XBian images for Cubox.

The latest March 2016 img works fine as a Kodi appliance.

On first install I tried running the XBian updater. That didn't end well at all. Re-wrote the SD card & ran the vanilla install again & it's working fine as-is.

I won't attempt update without definite info that it's ok to do so. Probably better to write a newer img to a separate SD card if I wish to try out new code.
Find all posts by this user
Quote this message in a reply
5th Apr, 2016, 09:45 PM
Post: #5
RE: Error on upgrade packages
Just upgraded (mainly debian updates) and it seems that audio output to HDMI is no longer an option - only spdif. As this option is part of the main Kodi System menu, I doubt it has anything to do with Xbian.

I've reflashed to a backup (prior to the upgrade) and all is fine.

So retry with much more information:

Original:
Kodi 16 2016-02-23-A265CD7 Feb 23 2016

Instead of using xbian-config, I used apt-get upgrade.

The following packages will be upgraded:
apt apt-utils base-files bind9-host btrfs-tools cpio fuse gnupg gpgv initramfs-tools libapt-inst1.5
libapt-pkg4.12 libbind9-90 libc-bin libc6 libdns100 libfuse2 libgcrypt20 libglib2.0-0 libgraphite2-3
libgssapi-krb5-2 libgudev-1.0-0 libhogweed2 libisc95 libisccc90 libisccfg90 libjasper1 libk5crypto3 libkrb5-3
libkrb5support0 liblwres90 libmysqlclient18 libnettle4 libpam-modules libpam-modules-bin libpam-systemd
libpam0g libpcre3 libpcrecpp0 libsmbclient libsndfile1 libssh-4 libssh2-1 libsystemd0 libtiff5 libudev1
libwbclient0 locales multiarch-support mysql-common perl perl-base perl-modules python-imaging python-pil
python-samba samba samba-common samba-common-bin samba-dsdb-modules samba-libs systemd tzdata udev
xbian-package-config-xbmc xbian-package-xbmc

Well that didn't go to plan - ran out of space on the SD card - initramfs is not resizing the image on boot.

Gave up. Installing from latest Image 2016.04.03

Well that image seems OK on the HDMI front, so no idea what is going on.

Please read before you post
How to post a log file

If you liked my help, click on "Thanks" to show your appreciation.
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump: